diff options
author | Colin Watson <cjwatson@debian.org> | 2011-09-06 14:56:29 +0100 |
---|---|---|
committer | Colin Watson <cjwatson@debian.org> | 2011-09-06 14:56:29 +0100 |
commit | 978e62d6f14c60747bddef2cc72d66a9c8b83b54 (patch) | |
tree | 89400a44e42d84937deba7864e4964d6c7734da5 /contrib/suse | |
parent | 87c685b8c6a49814fd782288097b3093f975aa72 (diff) | |
parent | 3a7e89697ca363de0f64e0d5704c57219294e41c (diff) |
* New upstream release (http://www.openssh.org/txt/release-5.9).
- Introduce sandboxing of the pre-auth privsep child using an optional
sshd_config(5) "UsePrivilegeSeparation=sandbox" mode that enables
mandatory restrictions on the syscalls the privsep child can perform.
- Add new SHA256-based HMAC transport integrity modes from
http://www.ietf.org/id/draft-dbider-sha2-mac-for-ssh-02.txt.
- The pre-authentication sshd(8) privilege separation slave process now
logs via a socket shared with the master process, avoiding the need to
maintain /dev/log inside the chroot (closes: #75043, #429243,
#599240).
- ssh(1) now warns when a server refuses X11 forwarding (closes:
#504757).
- sshd_config(5)'s AuthorizedKeysFile now accepts multiple paths,
separated by whitespace (closes: #76312). The authorized_keys2
fallback is deprecated but documented (closes: #560156).
- ssh(1) and sshd(8): set IPv6 traffic class from IPQoS, as well as IPv4
ToS/DSCP (closes: #498297).
- ssh-add(1) now accepts keys piped from standard input. E.g. "ssh-add
- < /path/to/key" (closes: #229124).
- Clean up lost-passphrase text in ssh-keygen(1) (closes: #444691).
- Say "required" rather than "recommended" in unprotected-private-key
warning (LP: #663455).
Diffstat (limited to 'contrib/suse')
-rw-r--r-- | contrib/suse/openssh.spec | 18 | ||||
-rw-r--r-- | contrib/suse/rc.sshd | 16 |
2 files changed, 8 insertions, 26 deletions
diff --git a/contrib/suse/openssh.spec b/contrib/suse/openssh.spec index 6afdcc4b4..3a4dfea37 100644 --- a/contrib/suse/openssh.spec +++ b/contrib/suse/openssh.spec | |||
@@ -13,7 +13,7 @@ | |||
13 | 13 | ||
14 | Summary: OpenSSH, a free Secure Shell (SSH) protocol implementation | 14 | Summary: OpenSSH, a free Secure Shell (SSH) protocol implementation |
15 | Name: openssh | 15 | Name: openssh |
16 | Version: 5.8p1 | 16 | Version: 5.9p1 |
17 | URL: http://www.openssh.com/ | 17 | URL: http://www.openssh.com/ |
18 | Release: 1 | 18 | Release: 1 |
19 | Source0: openssh-%{version}.tar.gz | 19 | Source0: openssh-%{version}.tar.gz |
@@ -28,11 +28,12 @@ Provides: ssh | |||
28 | # (Build[ing] Prereq[uisites] only work for RPM 2.95 and newer.) | 28 | # (Build[ing] Prereq[uisites] only work for RPM 2.95 and newer.) |
29 | # building prerequisites -- stuff for | 29 | # building prerequisites -- stuff for |
30 | # OpenSSL (openssl-devel), | 30 | # OpenSSL (openssl-devel), |
31 | # TCP Wrappers (nkitb), | 31 | # TCP Wrappers (tcpd-devel), |
32 | # and Gnome (glibdev, gtkdev, and gnlibsd) | 32 | # and Gnome (glibdev, gtkdev, and gnlibsd) |
33 | # | 33 | # |
34 | BuildPrereq: openssl | 34 | BuildPrereq: openssl |
35 | BuildPrereq: nkitb | 35 | BuildPrereq: tcpd-devel |
36 | BuildPrereq: zlib-devel | ||
36 | #BuildPrereq: glibdev | 37 | #BuildPrereq: glibdev |
37 | #BuildPrereq: gtkdev | 38 | #BuildPrereq: gtkdev |
38 | #BuildPrereq: gnlibsd | 39 | #BuildPrereq: gnlibsd |
@@ -177,15 +178,8 @@ rm -rf $RPM_BUILD_ROOT | |||
177 | /usr/sbin/useradd -r -o -g sshd -u %{sshd_uid} -s /bin/false -c "SSH Privilege Separation User" -d /var/lib/sshd sshd 2> /dev/null || : | 178 | /usr/sbin/useradd -r -o -g sshd -u %{sshd_uid} -s /bin/false -c "SSH Privilege Separation User" -d /var/lib/sshd sshd 2> /dev/null || : |
178 | 179 | ||
179 | %post | 180 | %post |
180 | if [ ! -f /etc/ssh/ssh_host_key -o ! -s /etc/ssh/ssh_host_key ]; then | 181 | /usr/bin/ssh-keygen -A |
181 | echo "Generating SSH RSA host key..." | 182 | %{fillup_and_insserv -n -y ssh sshd} |
182 | /usr/bin/ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N '' >&2 | ||
183 | fi | ||
184 | if [ ! -f /etc/ssh/ssh_host_dsa_key -o ! -s /etc/ssh/ssh_host_dsa_key ]; then | ||
185 | echo "Generating SSH DSA host key..." | ||
186 | /usr/bin/ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N '' >&2 | ||
187 | fi | ||
188 | %{fillup_and_insserv -n -s -y ssh sshd START_SSHD} | ||
189 | %run_permissions | 183 | %run_permissions |
190 | 184 | ||
191 | %verifyscript | 185 | %verifyscript |
diff --git a/contrib/suse/rc.sshd b/contrib/suse/rc.sshd index 4d4880d7e..4a3bc41db 100644 --- a/contrib/suse/rc.sshd +++ b/contrib/suse/rc.sshd | |||
@@ -43,20 +43,8 @@ rc_reset | |||
43 | 43 | ||
44 | case "$1" in | 44 | case "$1" in |
45 | start) | 45 | start) |
46 | if ! test -f /etc/ssh/ssh_host_key ; then | 46 | # Generate any missing host keys |
47 | echo Generating /etc/ssh/ssh_host_key. | 47 | ssh-keygen -A |
48 | ssh-keygen -t rsa1 -f /etc/ssh/ssh_host_key -N '' | ||
49 | fi | ||
50 | if ! test -f /etc/ssh/ssh_host_dsa_key ; then | ||
51 | echo Generating /etc/ssh/ssh_host_dsa_key. | ||
52 | |||
53 | ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N '' | ||
54 | fi | ||
55 | if ! test -f /etc/ssh/ssh_host_rsa_key ; then | ||
56 | echo Generating /etc/ssh/ssh_host_rsa_key. | ||
57 | |||
58 | ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N '' | ||
59 | fi | ||
60 | echo -n "Starting SSH daemon" | 48 | echo -n "Starting SSH daemon" |
61 | ## Start daemon with startproc(8). If this fails | 49 | ## Start daemon with startproc(8). If this fails |
62 | ## the echo return value is set appropriate. | 50 | ## the echo return value is set appropriate. |